#include <stdio.h>
#include <handy.h>

void draw(int wid, int lid)
{
    HgWSetFillColor(wid, HG_BLACK);
    HgWBoxFill(wid, 0, 0, 400, 50, 0);
    HgWSetFillColor(lid, HG_ORANGE);
    HgWCircleFill(lid, 150, 50, 135, 0);
    HgWSetFillColor(lid, HgRGBA(0, 0, 1.0, 0.5));
    HgWBoxFill(lid, 120, 0, 200, 150, 0);
    HgWSetFontByName(lid, "KozGoPro-Heavy", 75.0);
    HgWSetColor(lid, HG_CLEAR);
    HgWText(lid, 15, 10, "透明");
    HgWSetColor(lid, HgGrayA(0.3, 0.3));
    HgWText(lid, 170, 10, "半透明");
}

int main(void)
{
    int wid1 = HgWOpen(200, 300, 400, 200);
    int wid2 = HgWOpen(620, 300, 400, 200);
    int lid1 = HgWAddLayer(wid1);
    int lid2 = HgWAddLayer(wid2);
    HgWSetComposite(lid1, HG_BLEND_SOVER);
    draw(wid1, lid1);
    HgWSetComposite(lid2, HG_BLEND_COPY);
    draw(wid2, lid2);
    (void)getchar();
    HgCloseAll();
    return 0;
}
